# SpeciesEvolution | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesEvolution

#### Hierarchy (View Summary)

- SpeciesFormEvolution
  - SpeciesEvolution

- Defined in src/data/balance/pokemon-evolutions.ts:125

##### Index

### Constructors

constructor

### Properties

condition
description
evoFormKey
item
level
preFormKey
speciesId
wildDelay

## Constructors

### constructor

- new SpeciesEvolution(
  speciesId: Species ,
  level: number,
  item: null | EvolutionItem ,
  condition: null | SpeciesEvolutionCondition ,
  wildDelay?: SpeciesWildEvolutionDelay ,
  ): SpeciesEvolution

  #### Parameters

  - speciesId: Species
  - level: number
  - item: null | EvolutionItem
  - condition: null | SpeciesEvolutionCondition
  - `Optional` wildDelay: SpeciesWildEvolutionDelay

  #### Returns SpeciesEvolution

  Overrides SpeciesFormEvolution.constructor

  - Defined in src/data/balance/pokemon-evolutions.ts:126

## Properties

### condition

condition: null | SpeciesEvolutionCondition

Inherited from SpeciesFormEvolution.condition

- Defined in src/data/balance/pokemon-evolutions.ts:93

### description

description: string = ""

Inherited from SpeciesFormEvolution.description

- Defined in src/data/balance/pokemon-evolutions.ts:95

### evoFormKey

evoFormKey: null | string

Inherited from SpeciesFormEvolution.evoFormKey

- Defined in src/data/balance/pokemon-evolutions.ts:90

### item

item: null | EvolutionItem

Inherited from SpeciesFormEvolution.item

- Defined in src/data/balance/pokemon-evolutions.ts:92

### level

level: number

Inherited from SpeciesFormEvolution.level

- Defined in src/data/balance/pokemon-evolutions.ts:91

### preFormKey

preFormKey: null | string

Inherited from SpeciesFormEvolution.preFormKey

- Defined in src/data/balance/pokemon-evolutions.ts:89

### speciesId

speciesId: Species

Inherited from SpeciesFormEvolution.speciesId

- Defined in src/data/balance/pokemon-evolutions.ts:88

### wildDelay

wildDelay: SpeciesWildEvolutionDelay

Inherited from SpeciesFormEvolution.wildDelay

- Defined in src/data/balance/pokemon-evolutions.ts:94